%define theme korilla

Name: kde-icon-theme-%theme
Version: 1.3.5
Release: alt1

Summary: A set of Icons for KDE
Group: Graphical desktop/KDE
Url: http://www.kde-look.org/usermanager/search.php?username=systemx
License: LGPL

BuildArch: noarch

Provides: kde-icon-theme
Provides: icons-%theme = %version-%release
Obsoletes: icons-%theme

Source: Korilla_Icons-v%version.tar.bz2

%description
An icon theme is a set of icons that share a common look and feel. The
user can then select the icon theme that they want to use, and all apps
use icons from the theme. The initial user of icon themes is the icon
field of the desktop file specification, but in the future it can have
other uses (such as mimetype icons).

%install
%set_strip_method none
mkdir -p %buildroot/%_iconsdir
pushd %buildroot/%_iconsdir/
    tar jxf %SOURCE0
    mv Kool.Gorilla %theme
    pushd %theme
	rm -rf extras kdm ???x???
	find -type f -exec chmod a-x {} \;
	#
	mv index.desktop index.theme
	subst "s/Inherits=.*/Inherits=hicolor,default.kde/" index.theme
	subst "s/\[KDE Icon Theme\]/[Icon Theme]/" index.theme
	#
	find ./ -type l -exec rm -f {} \;
	#
	find ./ -type f -name go.png| \
	while read n
	do
    	    n=`dirname $n`
    	    ln -s go.png $n/kmenu.png ||:
	done
    popd
popd

%files
%dir %_iconsdir/%theme
%_iconsdir/%theme/

%changelog
* Tue Jun 08 2004 Sergey V Turchin <zerg at altlinux dot org> 1.3.5-alt1
- new version

* Fri Oct 03 2003 Sergey V Turchin <zerg at altlinux dot org> 1.3-alt1
- new version

* Thu Aug 28 2003 Sergey V Turchin <zerg at altlinux dot org> 1.2.2-alt1
- initial spec

